PRTVTOC(8)

NAME
prtvtoc - print the VTOC of a block device

SYNOPSIS
/usr/etc/prtvtoc [ -s ] [ -h ] [ -T ] [ -t fstab ] [ -m mtab ] device

DESCRIPTION
prtvtoc allows the contents of the VTOC (volume table of contents) to be viewed by a user for reference or verification. In addition to printing the contents of the VTOC, the command lists any free areas on the disk (that is, those without a partition).

The device on which the VTOC is installed is specified as the unpartitioned version of the device, i.e, /dev/rzd0 or /dev/rsd1.

OPTIONS

-s  Print only the partition table, with headings but without the comments. This option also inhibits the printing of all V_NOPART partitions.

-h  Print only the partition table, without headings and comments. Use this option when the output of the prtvtoc command is piped into another command.

-T  Print only the disk type name. Use this option to discover what the disk type is.

-tfstab
    Use the file fstab instead of /etc/fstab.

-mmtab
    Use the file mtab instead of /etc/mtab.

EXAMPLE
The command line entry and system response shown below are for a 792-megabyte disk:

# prtvtoc /dev/rzd0 <CR>
* /dev/rdz0 partition map
*
* Disk Type:           m2333k
*
* Dimensions:
* 512 bytes/sector
* 66 sectors/track
* 10 tracks/cylinder
* 823 cylinders
*
* Partition Types:
* ~0:~Empty Slot
* ~1:~Regular~Partition
* ~2:~Bootstrap~Area
* ~3:~Reserved~Area
* ~4:~Firmware~Area

 |  | Start | Size | Block Sz | Frag Sz | Mount
* | Type | Sector | in Sectors | in Bytes | in Bytes | Point
0 | 1 | 221100 | 49500 | 8192 | 1024 |
1 | 1 | 270600 | 67320 | 8192 | 1024
2 | 1 | 337920 | 203940 | 8192 | 1024 |
3 | 1 | 692 | 220408 | 8192 | 1024 |
4 | 0 | 0 | 0 | 8192 | 1024
5 | 0 | 0 | 0 | 8192 | 1024
6 | 0 | 0 | 0 | 8192 | 1024
7 | 0 | 0 | 0 | 8192 | 1024
8 | 0 | 0 | 0 | 8192 | 1024
9 | 0 | 0 | 0 | 8192 | 1024
10 | 0 | 0 | 0 | 8192 | 1024
11 | 0 | 0 | 0 | 8192 | 1024
12 | 3 | 0 | 660 | 0 | 0
13 | 3 | 541860 | 1320 | 0 | 0
14 | 2 | 660 | 16 | 0 | 0
15 | 3 | 676 | 16 | 0 | 0
#

Codes for TYPE are as follows:

Name | Number
No Partition | 0
Regular Partition | 1
Boot Area | 2
Reserved Area | 3
Firmware Area | 4
Model D Scan Dump Area | 5

If the device passed to prtvtoc does not contain a VTOC, an error will occur.

SEE ALSO
mkvtoc(8), rmvtoc(8), prtvtoc(8S)

NOTES
A user must have read access to the device for this command to work.